/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import javax.swing.JDialog;

import org.cocktail.mangue.client.gui.promotions.PromouvabilitesView;
import org.cocktail.mangue.common.utilities.CocktailIcones;


/**
 *
 * @author  cpinsard
 */
public class InfosRetraiteView extends JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public InfosRetraiteView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        swapView = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        checkBonifications = new javax.swing.JRadioButton();
        checkSynthese = new javax.swing.JRadioButton();
        checkFichier = new javax.swing.JRadioButton();
        checkBeneficesEtudes = new javax.swing.JRadioButton();
        checkEtudesRachetees = new javax.swing.JRadioButton();
        checkValidations = new javax.swing.JRadioButton();
        tfTitre = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Coordonnées");

        swapView.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        swapView.setLayout(new java.awt.CardLayout());

        checkBonifications.setBackground(new java.awt.Color(102, 255, 102));
        buttonGroup1.add(checkBonifications);
        checkBonifications.setFont(new java.awt.Font("Verdana", 0, 12));
        checkBonifications.setText("Bonifications");
        checkBonifications.setToolTipText("Bonifications");
        checkBonifications.setBorderPainted(true);
        checkBonifications.setFocusPainted(false);
        checkBonifications.setFocusable(false);
        checkBonifications.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkSynthese.setBackground(new java.awt.Color(204, 255, 204));
        buttonGroup1.add(checkSynthese);
        checkSynthese.setFont(new java.awt.Font("Verdana", 0, 12));
        checkSynthese.setText("Synthese CIR");
        checkSynthese.setToolTipText("Synthèse carrière CIR");
        checkSynthese.setBorderPainted(true);
        checkSynthese.setFocusPainted(false);
        checkSynthese.setFocusable(false);
        checkSynthese.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkSynthese.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkSyntheseActionPerformed(evt);
            }
        });

        checkFichier.setBackground(new java.awt.Color(204, 255, 153));
        buttonGroup1.add(checkFichier);
        checkFichier.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkFichier.setText("Fichier CIR");
        checkFichier.setToolTipText("Données issues du fichier de carrière");
        checkFichier.setBorderPainted(true);
        checkFichier.setFocusPainted(false);
        checkFichier.setFocusable(false);
        checkFichier.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkBeneficesEtudes.setBackground(new java.awt.Color(153, 204, 0));
        buttonGroup1.add(checkBeneficesEtudes);
        checkBeneficesEtudes.setFont(new java.awt.Font("Verdana", 0, 12));
        checkBeneficesEtudes.setText("Bénéfices études");
        checkBeneficesEtudes.setToolTipText("Personne à contacter en cas d'urgence");
        checkBeneficesEtudes.setBorderPainted(true);
        checkBeneficesEtudes.setFocusPainted(false);
        checkBeneficesEtudes.setFocusable(false);
        checkBeneficesEtudes.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkEtudesRachetees.setBackground(new java.awt.Color(0, 204, 153));
        buttonGroup1.add(checkEtudesRachetees);
        checkEtudesRachetees.setFont(new java.awt.Font("Verdana", 0, 12));
        checkEtudesRachetees.setText("Rachat études");
        checkEtudesRachetees.setToolTipText("Périodes de rachat d'études");
        checkEtudesRachetees.setBorderPainted(true);
        checkEtudesRachetees.setFocusPainted(false);
        checkEtudesRachetees.setFocusable(false);
        checkEtudesRachetees.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkValidations.setBackground(new java.awt.Color(204, 255, 153));
        buttonGroup1.add(checkValidations);
        checkValidations.setFont(new java.awt.Font("Verdana", 0, 12));
        checkValidations.setText("Validations");
        checkValidations.setToolTipText("Validations de service");
        checkValidations.setBorderPainted(true);
        checkValidations.setFocusPainted(false);
        checkValidations.setFocusable(false);
        checkValidations.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(checkSynthese, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkFichier, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkValidations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkBonifications, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkBeneficesEtudes, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkEtudesRachetees, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(checkSynthese)
                .add(18, 18, 18)
                .add(checkFichier)
                .add(12, 12, 12)
                .add(checkValidations)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(checkBonifications)
                .add(18, 18, 18)
                .add(checkBeneficesEtudes)
                .add(20, 20, 20)
                .add(checkEtudesRachetees)
                .addContainerGap(395, Short.MAX_VALUE))
        );

        tfTitre.setBackground(new java.awt.Color(255, 204, 204));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Verdana", 0, 14));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("DIVERS");
        tfTitre.setAutoscrolls(false);
        tfTitre.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        btnFermer.setText("Fermer");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(6, 6, 6)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 718, Short.MAX_VALUE)
                            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 718, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(swapView, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 571, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-946)/2, (screenSize.height-690)/2, 946, 690);
    }// </editor-fold>//GEN-END:initComponents

    private void checkSyntheseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkSyntheseActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_checkSyntheseActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PromouvabilitesView dialog = new PromouvabilitesView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFermer;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkBeneficesEtudes;
    private javax.swing.JRadioButton checkBonifications;
    private javax.swing.JRadioButton checkEtudesRachetees;
    private javax.swing.JRadioButton checkFichier;
    private javax.swing.JRadioButton checkSynthese;
    private javax.swing.JRadioButton checkValidations;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel swapView;
    private javax.swing.JTextField tfTitre;
    // End of variables declaration//GEN-END:variables
        
    private void initGui() {
    	setTitle("");    	
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    }

	public javax.swing.JRadioButton getCheckBeneficesEtudes() {
		return checkBeneficesEtudes;
	}

	public void setCheckBeneficesEtudes(
			javax.swing.JRadioButton checkBeneficesEtudes) {
		this.checkBeneficesEtudes = checkBeneficesEtudes;
	}

	public javax.swing.JRadioButton getCheckBonifications() {
		return checkBonifications;
	}

	public void setCheckBonifications(javax.swing.JRadioButton checkBonifications) {
		this.checkBonifications = checkBonifications;
	}

	public javax.swing.JRadioButton getCheckEtudesRachetees() {
		return checkEtudesRachetees;
	}

	public void setCheckEtudesRachetees(
			javax.swing.JRadioButton checkEtudesRachetees) {
		this.checkEtudesRachetees = checkEtudesRachetees;
	}

	public javax.swing.JPanel getSwapView() {
		return swapView;
	}

	public void setSwapView(javax.swing.JPanel swapView) {
		this.swapView = swapView;
	}

	public javax.swing.JRadioButton getCheckSynthese() {
		return checkSynthese;
	}

	public void setCheckSynthese(javax.swing.JRadioButton checkSynthese) {
		this.checkSynthese = checkSynthese;
	}

	public javax.swing.JRadioButton getCheckValidations() {
		return checkValidations;
	}

	public void setCheckValidations(javax.swing.JRadioButton checkValidations) {
		this.checkValidations = checkValidations;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JRadioButton getCheckFichier() {
		return checkFichier;
	}

	public void setCheckFichier(javax.swing.JRadioButton checkFichier) {
		this.checkFichier = checkFichier;
	}

}